##
## Makefile for Makefile in /home/InfoCraft/
##
## Made by Julien Roulleau
## Login   <julien.roulleau@epitech.net>
##
## Started on  Fri Oct 14 11:33:42 2016 Julien Roulleau
## Last update Sat May 13 18:03:45 2017 Roulleau Julien
##

SRC	=	src/main.c			\
		src/gen/lobby.c			\
		src/gen/backtrack.c		\
		src/set/set_tab.c

SRCD	=	$(filter-out main.c, $(SRC))
SRCD	+=	src/main.c

OBJ	=	$(SRC:.c=.o)
OBJD	=	$(SRCD:.c=.o)

NAME	=	generator
NAMED	=	$(NAME)_debug

CC	= 	gcc

CFLAGS	=	-W -Wall -Werror -Wextra
CFLAGS	+=	-I./inc/

LIB	=	-L../lib/ -lsrc

COMP	=	$(CC) $(CFLAGS) -o $@ $^ $(LIB)

PARAM	=

VAL 	=	valgrind

## Rule

all:	$(NAME) clean

$(NAME):	$(OBJ)
	$(COMP)
run:	all
	clear
	./$(NAME) $(PARAM)

debug:	CFLAGS += -g3
debug:	$(NAMED) cleand
	clear
	$(VAL) ./$(NAMED) $(PARAM)

$(NAMED):	$(OBJD)
	$(COMP)

## Aux

.PHONY:	 clean cleand fclean fcleand re

clean:
	rm -f $(OBJ)

cleand:
	rm -f $(OBJD)

fclean: clean
	rm -f $(NAME)

fcleand: clean
	rm -f $(NAMED)

re:	fclean all
